#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;
    long long a[n],pref[n+1];
    pref[0]=0;
    for(long long i=0; i<n; i++){
        cin>>a[i];
        pref[i+1]=pref[i]+a[i];
    }
    long long ans=100000,xx,yy,zz;
    for(long long i=0; i<n; i++){
        for(long long j=i; j<n; j++){
            for(long long k=j; k<n; k++){
                long long x=pref[j]-pref[i];
                long long y=pref[k]-pref[j];
                long long z=pref[n]-pref[k]+pref[i];
                if(ans>max(x,max(y,z))-min(x,min(y,z))){
                    ans=max(x,max(y,z))-min(x,min(y,z));
                    xx=i;
                    yy=j;
                    zz=k;
                }
            }
        }
    }
    cout<<ans<<endl;
    cout<<xx+1<<' '<<yy+1<<' '<<zz+1;
}
